# Text Editor
set -x EDITOR nvim

# Man colors
set -g man_standout -o blue
set -g man_bold -o magenta

# Aliases
alias f "fff"
alias bc "bc -l"
alias vim "nvim"
alias docker-compose "podman-compose"
alias sc "systemctl"
alias jc "journalctl -eu"

# Additional paths
set PATH $PATH $HOME/.emacs.d/bin
set PATH $PATH $HOME/.local/share/scripts

# fff settings
## colors [0-9]
set -x FFF_COL1 4
set -x FFF_COL2 8
# favourites
set -x FFF_FAV1 $HOME/Documents/Uni
set -x FFF_FAV2 $HOME/Documents/Papers
set -x FFF_FAV3 $HOME/Documents/Books/Academic
set -x FFF_FAV4 $HOME/Documents/Education
# keybindings
set -x FFF_KEY_MOVE off
set -x FFF_KEY_MOVE_ALL off


# Set up direnv
eval (direnv hook fish)
